CVE-2018-20652

NameCVE-2018-20652
DescriptionAn attempted excessive memory allocation was discovered in the function tinyexr::AllocateImage in tinyexr.h in tinyexr v0.9.5. Remote attackers could leverage this vulnerability to cause a denial-of-service via crafted input, which leads to an out-of-memory exception.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tinyexr (PTS)bullseye1.0.0+dfsg-1fixed
bookworm1.0.1+dfsg-2fixed
sid1.0.1+dfsg-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tinyexrsource(unstable)(not affected)

Notes

- tinyexr <not-affected> (Fixed with initial upload to Debian)
https://github.com/syoyo/tinyexr/issues/104
https://github.com/ChijinZ/security_advisories/tree/master/tinyexr_65f9859#cve-2018-20652-heap-buffer-overflow-in-function-tinyexrallocateimage-tinyexrh10302

Search for package or bug name: Reporting problems